function checkAdminAuth() {
	const token = getAuthToken();
	const user = getUserData();

	if (!token || !(user.role === "admin" || user.role === "superadmin")) {
		window.location.href = "login.html";
		return null;
	}

	return { token, user };
}
